tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Konstantin Kolinko <knst.koli...@gmail.com>
Subject Re: Tomcat building problems: Apache Tomcat 5.5 Servelet/JSP container
Date Fri, 06 Jul 2012 16:54:39 GMT
2012/7/6 Wei, Mingzhen <weim@mst.edu>:
> I was trying to build Apache Tomcat 5.5 Servelet for another application. I followed
the steps from the link: http://tomcat.apache.org/tomcat-5.5-doc/building.html.
> I have done the following:
>
> 1.       Installed JDK1.6
>
> 2.       Download and installed Apache Ant 1.8.4
>
> 3.       Download Tomcat 5.5 source package in zip file
>
> 4.       Set and updated the environment parameters for JAVA_HOME, PATH, ANT_HOME
>
> I cannot run the following step "ant download" correctly. It complains the "includeantruntime"
setup, and alerting me with errors for classes as BasicDataSource, DelegatingStatement, DelegatingPreparedStatement,
and many more. The errors say that those classes as not abstract and do not override the abstract
methods in other sources.

1. You need JDK 1.4 to build Tomcat 5.5.
2. The version of Ant targeted by the build script is 1.6.2.

One of the reasons why you cannot build it with Java 6, is that the
version of Apache Commons DBCP used in it has to run on Java 1.4 and
cannot be built with Java 6 because of java.sql API changes.


See also BUILDING.txt in the source distributive or in svn repository.
It is more authoritative than building.html.

Best regards,
Konstantin Kolinko

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message